### Method

# Gtk Accessibleupdate_property_value

#### Declaration [src]

    void
    gtk_accessible_update_property_value (
      GtkAccessible* self,
      int n_properties,
      GtkAccessibleProperty* properties,
      const GValue* values
    )

#### Description [src]

Updates an array of accessible properties.

This function should be called by `GtkWidget` types whenever an accessible property change must be communicated to assistive technologies.

This function is meant to be used by language bindings.

This method is renamed to `gtk_accessible_update_property()` in language bindings

#### Parameters

`n_properties`

  Type: `int`

  The number of accessible properties to set.

`properties`

  Type: An array of `GtkAccessibleProperty`

  An array of `GtkAccessibleProperty`

  The length of the array is specified in the `n_properties` argument.
  The data is owned by the caller of the method.

`values`

  Type: An array of `GValue`

  An array of `GValues`, one for each property.

  The length of the array is specified in the `n_properties` argument.
  The data is owned by the caller of the method.